#
# spec file for package logstalgia
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           logstalgia
Version:        1.0.6
Release:        3.4
Summary:        A website access log visualization tool
License:        GPL-3.0+
Group:          Amusements/Toys/Other
Url:            http://code.google.com/p/logstalgia/
Source:         https://github.com/acaudwell/Logstalgia/releases/download/%{name}-%{version}/%{name}-%{version}.tar.gz
BuildRequires:  boost-devel >= 1.46
BuildRequires:  ftgl-devel
BuildRequires:  gcc-c++
BuildRequires:  glew-devel
BuildRequires:  glm-devel >= 0.9.3
BuildRequires:  pcre-devel
BuildRequires:  pkgconfig(freetype2) >= 9.0.3
BuildRequires:  pkgconfig(libpng) >= 1.2
Requires:       freefont
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} >= 1310
BuildRequires:  pkgconfig(SDL2_image) >= 2.0
BuildRequires:  pkgconfig(sdl2) >= 2.0
%else
BuildRequires:  pkgconfig(SDL_image) >= 1.2
BuildRequires:  pkgconfig(sdl) >= 1.2
%endif

%description
Logstalgia is a website traffic visualization that replays or streams
Apache web-server access logs as a pong-like battle between the web
server and an never ending torrent of requests. Requests appear as
colored balls (the same color as the host) which travel across the
screen to arrive at the requested location. Successful requests are
hit by the paddle while unsuccessful ones (eg 404 - File Not Found)
are missed and pass through.

%prep
%setup -q

%build
%configure \
  --enable-ttf-font-dir=%{_datadir}/fonts/truetype
make %{?_smp_mflags}

%install
%make_install

%files
%defattr(-,root,root)
%doc COPYING README THANKS ChangeLog
%doc %{_mandir}/man1/logstalgia*
%{_bindir}/logstalgia
%{_datadir}/logstalgia/

%changelog
* Thu Nov 27 2014 andreas.stieger@gmx.de
- Licence is GPL-3.0+
* Wed Nov 26 2014 andreas.stieger@gmx.de
- logstalgia 1.0.6
  + Display invalid requests as having the path '???'.
- includes changes from 1.0.5:
  + Performance improvements.
  + Multi-monitor support using SDL 2.0.
  + Can now specify the attribute to match the group regex (-g)
    against.
  + When using --sync, now catches back up after resuming from pause.
  + Added --pitch-speed option (control how fast balls travel).
  + Made default group matches case-insensitive
  + Display tokens in multi-paddle modes
  + Added window resizing and a full-screen toggle (alt-enter).
  + Take screenshots (F12).
  + Summarizer component content is now sorted.
  + IPv6 addresses now anonymized by default as well (last 64 bits).
  + New dependencies on libpng, GLEW.
  + Now requires GLM and Boost header-only libraries to build.
- includes changes from 1.0.4:
  + Changed type of log entry timestamp to time_t.
  + Stopped directly linking PNG/JPG libraries.
- drop logstalgia-1.0.0-nonvoid.patch
- reformat spec file to current standard
- update dependencies
- update source URL
* Mon May 30 2011 prusnak@opensuse.org
- updated to 1.0.3
* Fri Nov 26 2010 prusnak@opensuse.org
- cleanup spec file
- use system-wide freefont
* Sat Oct  2 2010 xnull@opensuse.org
- initial release, version 1.0.0
